Page MenuHomePhabricator

Limit pan in Wikistats2 maps
Closed, ResolvedPublic1 Story Points

Description

The user can pan out of the map in any direction and loose the map.
It would be nice to have pan limits.

Event Timeline

mforns created this task.Mar 8 2018, 10:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 10:58 AM
mforns moved this task from Incoming to Mentoring on the Analytics board.Mar 8 2018, 6:05 PM

Change 422438 had a related patch set uploaded (by Amitjoki; owner: Amitjoki):
[analytics/wikistats2@master] T189195 Limit pan in Wikistats2

https://gerrit.wikimedia.org/r/422438

Amitjoki claimed this task.Mar 28 2018, 5:09 PM

@Amitjoki I have added some comments/suggestions on your Code Review patch for this bug. Please ponder on them once and let me know if you need some more clarification :)

@sahil505 yes, I went through them. They were very insightful :) I am in the middle of implementing another patch, will work on this right after :]

mforns edited projects, added Analytics-Kanban; removed Analytics.Apr 11 2018, 3:55 PM
mforns moved this task from Next Up to Ready to Deploy on the Analytics-Kanban board.
Nuria set the point value for this task to 1.Apr 12 2018, 4:09 PM
fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Apr 16 2018, 4:40 PM
Nuria closed this task as Resolved.Apr 17 2018, 2:59 AM